org.springframework.data.querydsl.binding

## Class QuerydslBindings.AliasingPathBinder<P extends com.querydsl.core.types.Path<? extends T>,T>

- java.lang.Object
- - org.springframework.data.querydsl.binding.QuerydslBindings.PathBinder<P,T>
  - - org.springframework.data.querydsl.binding.QuerydslBindings.AliasingPathBinder<P,T>

Enclosing class:
  QuerydslBindings

    public class QuerydslBindings.AliasingPathBinder<P extends com.querydsl.core.types.Path<? extends T>,T>
    extends QuerydslBindings.PathBinder<P,T>

A special `QuerydslBindings.PathBinder` that additionally registers the binding under a dedicated alias. The original path is still registered but denied so that it becomes unavailable except it's explicitly allowed.

Author:
  Oliver Gierke

### Method Summary

All Methods Instance Methods Concrete Methods
`QuerydslBindings.AliasingPathBinder<P,T>` `as(String alias)` Aliases the current binding to be available under the given path.
`protected void` `registerBinding(org.springframework.data.querydsl.binding.QuerydslBindings.PathAndBinding<P,T> binding)`
`void` `withDefaultBinding()` Registers the current aliased binding to use the default binding.

### Methods inherited from class org.springframework.data.querydsl.binding.QuerydslBindings.PathBinder

`all, first, firstOptional`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### as

    public QuerydslBindings.AliasingPathBinder<P,T> as(String alias)

Aliases the current binding to be available under the given path. By default, the binding path will be denied so that aliasing effectively hides the original path. If you want to keep the original path around, include it in an explicit allowlist.

Parameters:
  `alias` - must not be null.
Returns:
  will never be null.

#### withDefaultBinding

    public void withDefaultBinding()

Registers the current aliased binding to use the default binding.

#### registerBinding

    protected void registerBinding(org.springframework.data.querydsl.binding.QuerydslBindings.PathAndBinding<P,T> binding)

Overrides:
  `registerBinding` in class `QuerydslBindings.PathBinder<P extends com.querydsl.core.types.Path<? extends T>,T>`